%define upstream_name    Digest-JHash
%define upstream_version 0.07

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	Perl extension for 32 bit Jenkins Hashing Algorithm
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
The 'Digest::JHash' module allows you to use the fast JHash hashing
algorithm developed by Bob Jenkins from within Perl programs. The algorithm
takes as input a message of arbitrary length and produces as output a
32-bit "message digest" of the input in the form of an unsigned long
integer.

Call it a low calorie version of MD5 if you like.

See http://burtleburtle.net/bob/hash/doobs.html for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.70.0-6.mga4
+ Revision: 524297
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.70.0-5.mga4
+ Revision: 430669
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-4.mga3
+ Revision: 365921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.70.0-3.mga3
+ Revision: 250561
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.70.0-2.mga2
+ Revision: 104210
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 22377
- cleaning spec file
- imported package perl-Digest-JHash

